VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "USB Relay"
   ClientHeight    =   3420
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   2805
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3420
   ScaleWidth      =   2805
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdOffAll 
      Caption         =   "Off All"
      Height          =   345
      Left            =   1650
      TabIndex        =   2
      Top             =   1155
      Width           =   1005
   End
   Begin VB.CommandButton cmdOnAll 
      Caption         =   "On All"
      Height          =   345
      Left            =   1650
      TabIndex        =   1
      Top             =   825
      Width           =   1005
   End
   Begin VB.CommandButton cmdGetStatus 
      Caption         =   "GetStatus"
      Height          =   345
      Left            =   1650
      TabIndex        =   4
      Top             =   495
      Width           =   1005
   End
   Begin VB.CommandButton cmdRelay 
      BackColor       =   &H008080FF&
      Caption         =   "Relay 8"
      Height          =   345
      Index           =   8
      Left            =   75
      Style           =   1  'Graphical
      TabIndex        =   12
      Top             =   2925
      Width           =   1170
   End
   Begin VB.CommandButton cmdRelay 
      BackColor       =   &H008080FF&
      Caption         =   "Relay 7"
      Height          =   345
      Index           =   7
      Left            =   75
      Style           =   1  'Graphical
      TabIndex        =   11
      Top             =   2595
      Width           =   1170
   End
   Begin VB.CommandButton cmdRelay 
      BackColor       =   &H008080FF&
      Caption         =   "Relay 6"
      Height          =   345
      Index           =   6
      Left            =   75
      Style           =   1  'Graphical
      TabIndex        =   10
      Top             =   2265
      Width           =   1170
   End
   Begin VB.CommandButton cmdRelay 
      BackColor       =   &H008080FF&
      Caption         =   "Relay 5"
      Height          =   345
      Index           =   5
      Left            =   75
      Style           =   1  'Graphical
      TabIndex        =   9
      Top             =   1935
      Width           =   1170
   End
   Begin VB.CommandButton cmdRelay 
      BackColor       =   &H008080FF&
      Caption         =   "Relay 4"
      Height          =   345
      Index           =   4
      Left            =   75
      Style           =   1  'Graphical
      TabIndex        =   8
      Top             =   1605
      Width           =   1170
   End
   Begin VB.CommandButton cmdRelay 
      BackColor       =   &H008080FF&
      Caption         =   "Relay 3"
      Height          =   345
      Index           =   3
      Left            =   75
      Style           =   1  'Graphical
      TabIndex        =   7
      Top             =   1275
      Width           =   1170
   End
   Begin VB.CommandButton cmdRelay 
      BackColor       =   &H008080FF&
      Caption         =   "Relay 2"
      Height          =   345
      Index           =   2
      Left            =   75
      Style           =   1  'Graphical
      TabIndex        =   6
      Top             =   945
      Width           =   1170
   End
   Begin VB.CommandButton cmdRelay 
      BackColor       =   &H008080FF&
      Caption         =   "Relay 1"
      Height          =   345
      Index           =   1
      Left            =   75
      Style           =   1  'Graphical
      TabIndex        =   5
      Top             =   600
      Width           =   1170
   End
   Begin VB.CommandButton cmdRefresh 
      Caption         =   "Refresh"
      Height          =   345
      Left            =   1650
      TabIndex        =   3
      Top             =   165
      Width           =   1005
   End
   Begin VB.ComboBox cmbRelay 
      Height          =   315
      Left            =   105
      Style           =   2  'Dropdown List
      TabIndex        =   0
      Top             =   210
      Width           =   1380
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim MyRelays As clsRelays



Private Sub cmdOffAll_Click()
    If Not (MyRelays Is Nothing) Then
        If MyRelays.Count > 0 Then
            Call MyRelays(cmbRelay.Text).Relay_Switch(0, "off_all")
        End If
    End If
    Call RefreshRelayStatus
End Sub

Private Sub cmdOnAll_Click()

    If Not (MyRelays Is Nothing) Then
        If MyRelays.Count > 0 Then
            Call MyRelays(cmbRelay.Text).Relay_Switch(0, "on_all")
        End If
    End If
    Call RefreshRelayStatus


End Sub














Private Sub cmdRefresh_Click()
    Call RefreshRelay
End Sub

Private Sub RefreshRelay()
    Dim i As Long
    
    Set MyRelays = Nothing
    Set MyRelays = New clsRelays

    cmbRelay.Clear
    
    For i = 1 To cmdRelay.Count
        cmdRelay(i).Enabled = False
        cmdRelay(i).BackColor = &H8080FF    ' Red
        cmdRelay(i).Tag = "off"
    Next i
    
    If Not (MyRelays.Count > 0) Then Exit Sub
    

    
    For i = 1 To MyRelays.Count
        cmbRelay.AddItem MyRelays(i).Serial_Number
        cmbRelay.ItemData(cmbRelay.NewIndex) = MyRelays(i).Device_Info_PTR
    Next i
        
    If cmbRelay.ListCount > 0 Then cmbRelay.ListIndex = 0
    
    Call RefreshRelayStatus
End Sub


Private Sub RefreshRelayStatus()
    If Not (MyRelays Is Nothing) Then
        If MyRelays.Count > 0 Then
        
            Dim i As Long
            
            For i = 1 To MyRelays(cmbRelay.Text).Relay_Type
                cmdRelay(i).Enabled = True
                
                If MyRelays(cmbRelay.Text).Relay_One_Status(i) = 1 Then
                    cmdRelay(i).BackColor = &H80FF80    ' Green
                    cmdRelay(i).Tag = "on"
                    
                Else
                    cmdRelay(i).BackColor = &H8080FF    ' Red
                    cmdRelay(i).Tag = "off"
                End If
            Next i
    
            If MyRelays(cmbRelay.Text).Relay_Type < 8 Then
                For i = MyRelays(cmbRelay.Text).Relay_Type + 1 To 8
                    cmdRelay(i).Enabled = False
                Next i
            End If


        End If
    End If
End Sub



Private Sub cmdRelay_Click(Index As Integer)
    If Not (MyRelays Is Nothing) Then
        If MyRelays.Count > 0 Then
            If cmdRelay(Index).Tag = "off" Then
                Call MyRelays(cmbRelay.Text).Relay_Switch(Index, "on")
            Else
                Call MyRelays(cmbRelay.Text).Relay_Switch(Index, "off")
                'Call MyRelays(cmbRelay.Text).Relay_Off(Index, "switch")
            End If
        End If
    End If
    Call RefreshRelayStatus
End Sub

Private Sub cmdGetStatus_Click()
    Call RefreshRelayStatus
End Sub

Private Sub Form_Load()
    Call RefreshRelay
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Set MyRelays = Nothing
End Sub

